Loading...
Searching...
No Matches
casacore::ArrayPartMath_global_functions_Array_partial_operations::FractileFunc< T > Class Template Reference

`#include <ArrayPartMath.h>`

## Public Member Functions

| FractileFunc (float fraction, bool sorted=false, bool inPlace=false)
virtual | ~FractileFunc ()
virtual T | operator() (const Array< T > &arr) const final override
Public Member Functions inherited from casacore::ArrayFunctorBase< T, RES >
virtual | ~ArrayFunctorBase ()

## Private Attributes

float | itsFraction
bool | itsSorted
bool | itsInPlace
std::vector< T > | itsTmp

## Detailed Description

template<typename T>
class casacore::ArrayPartMath_global_functions_Array_partial_operations::FractileFunc< T >

Definition at line 275 of file ArrayPartMath.h.

## Constructor & Destructor Documentation

## FractileFunc()

template<typename T>

casacore::ArrayPartMath_global_functions_Array_partial_operations::FractileFunc< T >::FractileFunc | ( | float | fraction,
|  | bool | sorted = false,
|  | bool | inPlace = false )

inline explicit

Definition at line 277 of file ArrayPartMath.h.

References itsFraction, itsInPlace, and itsSorted.

## ~FractileFunc()

template<typename T>

virtual casacore::ArrayPartMath_global_functions_Array_partial_operations::FractileFunc< T >::~FractileFunc | ( |  | ) |

inline virtual

Definition at line 280 of file ArrayPartMath.h.

## Member Function Documentation

## operator()()

template<typename T>

virtual T casacore::ArrayPartMath_global_functions_Array_partial_operations::FractileFunc< T >::operator() | ( | const Array< T > & | arr | ) | const

inline final override virtual

Implements casacore::ArrayFunctorBase< T, RES >.

Definition at line 281 of file ArrayPartMath.h.

References casacore::fractile(), itsFraction, itsInPlace, itsSorted, and itsTmp.

## Member Data Documentation

## itsFraction

template<typename T>

float casacore::ArrayPartMath_global_functions_Array_partial_operations::FractileFunc< T >::itsFraction

private

Definition at line 284 of file ArrayPartMath.h.

Referenced by FractileFunc(), and operator()().

## itsInPlace

template<typename T>

bool casacore::ArrayPartMath_global_functions_Array_partial_operations::FractileFunc< T >::itsInPlace

private

Definition at line 286 of file ArrayPartMath.h.

Referenced by FractileFunc(), and operator()().

## itsSorted

template<typename T>

bool casacore::ArrayPartMath_global_functions_Array_partial_operations::FractileFunc< T >::itsSorted

private

Definition at line 285 of file ArrayPartMath.h.

Referenced by FractileFunc(), and operator()().

## itsTmp

template<typename T>

std::vector<T> casacore::ArrayPartMath_global_functions_Array_partial_operations::FractileFunc< T >::itsTmp

mutable private

Definition at line 287 of file ArrayPartMath.h.

Referenced by operator()().

The documentation for this class was generated from the following file:

- casa/Arrays/ArrayPartMath.h